package com.tzld.piaoquan.ad.engine.service.predict.param;

import com.alibaba.fastjson.JSONObject;
import lombok.Builder;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 *  mid mid
 *  videoId video_id
 *  appType  app_id
 *  abTestCode  用户对应的ab组--对应java group
 *  abExpInfo AB实验组参数--封装后对应ab_exp_info
 *  careModelStatus  用户关怀模式状态 1-未开启，2-开启
 */
@Data
@Builder
public class ThresholdPredictModelParam {
    String mid;
    Long videoId;
    Integer appType;
    String abTestCode;
    JSONObject abExpInfo;
    Long careModelStatus;
    String abtestId;
    String abTestConfigTag;
    Map<String,Object> abtestParam;

    String midGroup;
    Date date=new Date();

    public ThresholdPredictModelParam(){}
}
